class Sonic {
  final int NUMFRAMES = 4;
  final int W = 33;
  final int H = 36;
  int x, y;
  PImage img;
  
  Sonic(int x, int y){
    this.x = x;
    this.y = y;
    img = loadImage("sonic.png");
  }
  
  void step(){
    int frameNum = frameCount % NUMFRAMES;
    
    noStroke();
    beginShape();
    texture(img);
    switch(frameNum){
      case 0 :
        vertex(x, y, 0, 0);
        vertex(x + W, y, W, 0);
        vertex(x + W, y + H, W, H);
        vertex(x, y + H, 0, H);
        break;
      case 1 :
        vertex(x, y, W, 0);
        vertex(x + W, y, W * 2, 0);
        vertex(x + W, y + H, W * 2, H);
        vertex(x, y + H, W, H);
        break;
      case 2 :
        vertex(x, y, W * 2, 0);
        vertex(x + W, y, W * 3, 0);
        vertex(x + W, y + H, W * 3, H);
        vertex(x, y + H, W * 2, H);
        break;
      case 3 :
        vertex(x, y, W * 3, 0);
        vertex(x + W, y, W * 4, 0);
        vertex(x + W, y + H, W * 4, H);
        vertex(x, y + H, W * 3, H);
        break;
    }
    endShape();
  }
}